# Uses of Class
org.apache.solr.client.solrj.response.StreamingResponseCallback

Packages that use StreamingResponseCallback
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of StreamingResponseCallback in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return StreamingResponseCallback
Modifier and Type
Method
Description
`StreamingResponseCallback`
SolrRequest.`getStreamingResponseCallback()`
Methods in org.apache.solr.client.solrj with parameters of type StreamingResponseCallback
Modifier and Type
Method
Description
`QueryResponse`
SolrClient.`queryAndStreamResponse(String collection, SolrParams params, StreamingResponseCallback callback)`
Query solr, and stream the results.
`QueryResponse`
SolrClient.`queryAndStreamResponse(SolrParams params, StreamingResponseCallback callback)`
Query solr, and stream the results.
`void`
SolrRequest.`setStreamingResponseCallback(StreamingResponseCallback callback)`

## Uses of StreamingResponseCallback in org.apache.solr.client.solrj.response

Fields in org.apache.solr.client.solrj.response declared as StreamingResponseCallback
Modifier and Type
Field
Description
`final StreamingResponseCallback`
StreamingJavaBinResponseParser.`callback`
Constructors in org.apache.solr.client.solrj.response with parameters of type StreamingResponseCallback
Modifier
Constructor
Description
``
`StreamingJavaBinResponseParser(StreamingResponseCallback cb)`